# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | List of all members
DBus::SignalMessage Class Reference

`#include <message.h>`

Inheritance diagram for DBus::SignalMessage:

## Public Member Functions

| SignalMessage (const char *name)
| SignalMessage (const char *path, const char *interface, const char *name)
const char * | interface () const
bool | interface (const char *i)
const char * | member () const
bool | member (const char *m)
const char * | path () const
char ** | path_split () const
bool | path (const char *p)
bool | operator== (const SignalMessage &) const
Public Member Functions inherited from DBus::Message
| Message (Private *, bool incref=true)
| Message (const Message &m)
| ~Message ()
Message & | operator= (const Message &m)
Message | copy ()
int | type () const
int | serial () const
int | reply_serial () const
bool | reply_serial (int)
const char * | sender () const
bool | sender (const char *s)
const char * | destination () const
bool | destination (const char *s)
bool | is_error () const
bool | is_signal (const char *interface, const char *member) const
MessageIter | reader () const
MessageIter | writer ()
bool | append (int first_type,...)
void | terminate ()

## Additional Inherited Members

Protected Member Functions inherited from DBus::Message
| Message ()
Protected Attributes inherited from DBus::Message
RefPtrI< Private > | _pvt

## Detailed Description

Definition at line 240 of file message.h.

## Constructor & Destructor Documentation

## ◆ SignalMessage() [1/2]

SignalMessage::SignalMessage | ( | const char * | name | ) |

Definition at line 518 of file message.cpp.

References DBus::Message::_pvt, and member().

Referenced by operator==().

## ◆ SignalMessage() [2/2]

SignalMessage::SignalMessage | ( | const char * | path,
|  | const char * | interface,
|  | const char * | name )

Definition at line 524 of file message.cpp.

References DBus::Message::_pvt, interface(), and path().

## Member Function Documentation

## ◆ interface() [1/2]

const char * SignalMessage::interface | ( |  | ) | const

Definition at line 534 of file message.cpp.

References DBus::Message::_pvt.

Referenced by DBus::InterfaceAdaptor::emit_signal(), operator==(), and SignalMessage().

## ◆ interface() [2/2]

bool SignalMessage::interface | ( | const char * | i | ) |

Definition at line 539 of file message.cpp.

References DBus::Message::_pvt.

## ◆ member() [1/2]

const char * SignalMessage::member | ( |  | ) | const

Definition at line 544 of file message.cpp.

References DBus::Message::_pvt.

Referenced by DBus::InterfaceProxy::dispatch_signal(), DBus::ObjectProxy::handle_message(), operator==(), and SignalMessage().

## ◆ member() [2/2]

bool SignalMessage::member | ( | const char * | m | ) |

Definition at line 549 of file message.cpp.

References DBus::Message::_pvt.

## ◆ operator==()

bool SignalMessage::operator== | ( | const SignalMessage & | m | ) | const

Definition at line 529 of file message.cpp.

References DBus::Message::_pvt, interface(), member(), and SignalMessage().

## ◆ path() [1/2]

const char * SignalMessage::path | ( |  | ) | const

Definition at line 554 of file message.cpp.

References DBus::Message::_pvt.

Referenced by DBus::ObjectAdaptor::_emit_signal(), DBus::ObjectProxy::handle_message(), and SignalMessage().

## ◆ path() [2/2]

bool SignalMessage::path | ( | const char * | p | ) |

Definition at line 566 of file message.cpp.

References DBus::Message::_pvt.

## ◆ path_split()

char ** SignalMessage::path_split | ( |  | ) | const

Definition at line 559 of file message.cpp.

References DBus::Message::_pvt.

The documentation for this class was generated from the following files:

- message.h
- message.cpp